StandaloneTagLibraryLookup (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.web.pages

## [Java] Class StandaloneTagLibraryLookup

- org.grails.web.pages.StandaloneTagLibraryLookup

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationListener

      public class StandaloneTagLibraryLookup
      extends TagLibraryLookup

  GSP TagLibraryLookup class that's used for standalone GSP

  Authors:
    Lari Hotari
  Since:
    2.4.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TagLibraryLookup` | `applicationContext, encodeAsForTagNamespaces, grailsApplication, namespaceDispatchers, tagNamespaces, tagsThatReturnObjectForNamespace`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `detectAndRegisterTabLibBeans()`
    `void` | `onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)`
    `protected void` | `putTagLib(java.util.Map<java.lang.String, java.lang.Object> tags, java.lang.String name, GrailsTagLibClass taglib)`
    `protected void` | `registerTagLibraries()`
    `void` | `setTagLibInstances(java.util.List<java.lang.Object> tagLibInstances)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TagLibraryLookup` | `afterPropertiesSet, doesTagReturnObject, getAvailableNamespaces, getAvailableTags, getEncodeAsForTag, hasNamespace, lookupNamespaceDispatcher, lookupTagLibrary, putTagLib, registerNamespaceDispatcher, registerTagLib, registerTagLibraries, registerTemplateNamespace, setApplicationContext, setGrailsApplication`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public void detectAndRegisterTabLibBeans()

    - #### @java.lang.Override public void onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)

    - #### @java.lang.Override protected void putTagLib(java.util.Map<java.lang.String, java.lang.Object> tags, java.lang.String name, GrailsTagLibClass taglib)

    - #### protected void registerTagLibraries()

    - #### public void setTagLibInstances(java.util.List<java.lang.Object> tagLibInstances)